Get User Activity List

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/spacio-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Spacio API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/spacio-api/mcp"
  }
}

Close
POST /getActivityList

Retrieve user activity logs for brokerage monitoring.

Headers

  • apikey string Required
application/x-www-form-urlencoded

Body

  • brokerage_id string Required
  • start_date string(date-time)
  • end_date string(date-time)

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • success boolean
    • data array[object]
      Hide data attributes Show data attributes object
      • activity_id string
      • user_id string
      • action string

        Type of action performed

      • timestamp string(date-time)
      • details string
POST /getActivityList
curl \
 --request POST 'https://ws.spac.io/api/v1/getActivityList' \
 --header "Content-Type: application/x-www-form-urlencoded" \
 --header "apikey: string" \
 --data 'brokerage_id=string&start_date=2026-05-04T09%3A42%3A00Z&end_date=2026-05-04T09%3A42%3A00Z'
Response examples (200)
{
  "success": true,
  "data": [
    {
      "activity_id": "string",
      "user_id": "string",
      "action": "string",
      "timestamp": "2026-05-04T09:42:00Z",
      "details": "string"
    }
  ]
}